Subject: bug#79137: 31.0.50; (vc-buffer-sync-fileset) cannot complete if unrelated no-longer-reachable TRAMP buffers exist

From: Michael Albinus <[email-masked]>
Date: Tue, 05 Aug 2025 13:58:11 +0200

Sean Whitton <[email-masked]> writes:

> Hello,

Hi Sean,

> I think that we should bind non-essential to the value of not-essential,
> here.  I.e.
>
>     (let ((non-essential not-essential)
>           dirs buffers)
>
> That would be saying: only if we are okay with the user saying no to
> saving the buffers, we are okay with giving up on looking at them if
> they are remote.
>
> How about that?

Sounds reasonable. However, I don't know VC internals, so I have no
informed opinion.

Best regards, Michael.